xine-lib: vdec_hw_h264_sps_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vdec_hw_h264_sps_t Struct Reference

## Data Fields
uint8_t | reused
uint8_t | profile_idc
uint8_t | level_idc
uint8_t | sps_id
uint8_t | constraint_set0_flag
uint8_t | constraint_set1_flag
uint8_t | constraint_set2_flag
uint8_t | constraint_set3_flag
uint8_t | chroma_format_idc
uint8_t | separate_colour_plane_flag
uint8_t | bit_depth_luma_minus8
uint8_t | bit_depth_chroma_minus8
uint8_t | qpprime_y_zero_transform_bypass_flag
uint8_t | seq_scaling_matrix_present_flag
uint8_t | scaling_lists_4x4 [6][16]
uint8_t | scaling_lists_8x8 [2][64]
uint8_t | log2_max_frame_num_minus4
uint8_t | pic_order_cnt_type
uint8_t | log2_max_pic_order_cnt_lsb_minus4
uint8_t | delta_pic_order_always_zero_flag
int32_t | offset_for_non_ref_pic
int32_t | offset_for_top_to_bottom_field
uint8_t | ref_frames_used_in_pic_order_cnt_cycle
int32_t | offset_for_ref_frame [256]
uint8_t | ref_frames_used
uint8_t | gaps_in_frame_num_value_allowed_flag
uint8_t | pic_width_in_mbs_minus1
uint8_t | pic_height_in_map_units_minus1
uint8_t | frame_mbs_only_flag
uint8_t | mb_adaptive_frame_field_flag
uint8_t | direct_8x8_inference_flag
uint8_t | frame_cropping_flag
uint16_t | frame_crop_left_offset
uint16_t | frame_crop_right_offset
uint16_t | frame_crop_top_offset
uint16_t | frame_crop_bottom_offset
uint8_t | vui_parameters_present_flag
vdec_hw_h264_vui_t | vui

## Field Documentation

## ◆ bit_depth_chroma_minus8

uint8_t vdec_hw_h264_sps_t::bit_depth_chroma_minus8

Referenced by _vdec_hw_h264_read_sps(), and _vdec_hw_h264_render().

## ◆ bit_depth_luma_minus8

uint8_t vdec_hw_h264_sps_t::bit_depth_luma_minus8

Referenced by _vdec_hw_h264_read_sps(), and _vdec_hw_h264_render().

## ◆ chroma_format_idc

uint8_t vdec_hw_h264_sps_t::chroma_format_idc

Referenced by _vdec_hw_h264_read_sps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header_post().

## ◆ constraint_set0_flag

uint8_t vdec_hw_h264_sps_t::constraint_set0_flag

Referenced by _vdec_hw_h264_read_sps().

## ◆ constraint_set1_flag

uint8_t vdec_hw_h264_sps_t::constraint_set1_flag

Referenced by _vdec_hw_h264_read_sps().

## ◆ constraint_set2_flag

uint8_t vdec_hw_h264_sps_t::constraint_set2_flag

Referenced by _vdec_hw_h264_read_sps().

## ◆ constraint_set3_flag

uint8_t vdec_hw_h264_sps_t::constraint_set3_flag

Referenced by _vdec_hw_h264_read_sps().

## ◆ delta_pic_order_always_zero_flag

uint8_t vdec_hw_h264_sps_t::delta_pic_order_always_zero_flag

Referenced by _vdec_hw_h264_read_sps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ direct_8x8_inference_flag

uint8_t vdec_hw_h264_sps_t::direct_8x8_inference_flag

Referenced by _vdec_hw_h264_read_sps(), and _vdec_hw_h264_render().

## ◆ frame_crop_bottom_offset

uint16_t vdec_hw_h264_sps_t::frame_crop_bottom_offset

Referenced by _vdec_hw_h264_read_sps().

## ◆ frame_crop_left_offset

uint16_t vdec_hw_h264_sps_t::frame_crop_left_offset

Referenced by _vdec_hw_h264_read_sps().

## ◆ frame_crop_right_offset

uint16_t vdec_hw_h264_sps_t::frame_crop_right_offset

Referenced by _vdec_hw_h264_read_sps().

## ◆ frame_crop_top_offset

uint16_t vdec_hw_h264_sps_t::frame_crop_top_offset

Referenced by _vdec_hw_h264_read_sps().

## ◆ frame_cropping_flag

uint8_t vdec_hw_h264_sps_t::frame_cropping_flag

Referenced by _vdec_hw_h264_read_sps().

## ◆ frame_mbs_only_flag

uint8_t vdec_hw_h264_sps_t::frame_mbs_only_flag

Referenced by _vdec_hw_h264_read_sps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ gaps_in_frame_num_value_allowed_flag

uint8_t vdec_hw_h264_sps_t::gaps_in_frame_num_value_allowed_flag

Referenced by _vdec_hw_h264_read_sps(), and _vdec_hw_h264_render().

## ◆ level_idc

uint8_t vdec_hw_h264_sps_t::level_idc

Referenced by _vdec_hw_h264_read_sps(), and _vdec_hw_h264_render().

## ◆ log2_max_frame_num_minus4

uint8_t vdec_hw_h264_sps_t::log2_max_frame_num_minus4

Referenced by _vdec_hw_h264_decode_poc(), _vdec_hw_h264_read_sps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ log2_max_pic_order_cnt_lsb_minus4

uint8_t vdec_hw_h264_sps_t::log2_max_pic_order_cnt_lsb_minus4

Referenced by _vdec_hw_h264_decode_poc(), _vdec_hw_h264_read_sps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ mb_adaptive_frame_field_flag

uint8_t vdec_hw_h264_sps_t::mb_adaptive_frame_field_flag

Referenced by _vdec_hw_h264_read_sps(), and _vdec_hw_h264_render().

## ◆ offset_for_non_ref_pic

int32_t vdec_hw_h264_sps_t::offset_for_non_ref_pic

Referenced by _vdec_hw_h264_decode_poc(), and _vdec_hw_h264_read_sps().

## ◆ offset_for_ref_frame

int32_t vdec_hw_h264_sps_t::offset_for_ref_frame[256]

Referenced by _vdec_hw_h264_decode_poc(), and _vdec_hw_h264_read_sps().

## ◆ offset_for_top_to_bottom_field

int32_t vdec_hw_h264_sps_t::offset_for_top_to_bottom_field

Referenced by _vdec_hw_h264_decode_poc(), and _vdec_hw_h264_read_sps().

## ◆ pic_height_in_map_units_minus1

uint8_t vdec_hw_h264_sps_t::pic_height_in_map_units_minus1

Referenced by _vdec_hw_h264_read_sps().

## ◆ pic_order_cnt_type

uint8_t vdec_hw_h264_sps_t::pic_order_cnt_type

Referenced by _vdec_hw_h264_decode_poc(), _vdec_hw_h264_read_sps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ pic_width_in_mbs_minus1

uint8_t vdec_hw_h264_sps_t::pic_width_in_mbs_minus1

Referenced by _vdec_hw_h264_read_sps().

## ◆ profile_idc

uint8_t vdec_hw_h264_sps_t::profile_idc

Referenced by _vdec_hw_h264_read_sps(), and _vdec_hw_h264_render().

## ◆ qpprime_y_zero_transform_bypass_flag

uint8_t vdec_hw_h264_sps_t::qpprime_y_zero_transform_bypass_flag

Referenced by _vdec_hw_h264_read_sps().

## ◆ ref_frames_used

uint8_t vdec_hw_h264_sps_t::ref_frames_used

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_dbp_append(), _vdec_hw_h264_read_sps(), and _vdec_hw_h264_render().

## ◆ ref_frames_used_in_pic_order_cnt_cycle

uint8_t vdec_hw_h264_sps_t::ref_frames_used_in_pic_order_cnt_cycle

Referenced by _vdec_hw_h264_decode_poc(), and _vdec_hw_h264_read_sps().

## ◆ reused

uint8_t vdec_hw_h264_sps_t::reused

Referenced by _vdec_hw_h264_nal_unit(), and _vdec_hw_h264_read_sps().

## ◆ scaling_lists_4x4

uint8_t vdec_hw_h264_sps_t::scaling_lists_4x4[6][16]

Referenced by _vdec_hw_h264_read_sps(), _vdec_hw_h264_render(), and _vdec_hw_h264_scaling_list_fallback_B().

## ◆ scaling_lists_8x8

uint8_t vdec_hw_h264_sps_t::scaling_lists_8x8[2][64]

Referenced by _vdec_hw_h264_read_sps(), _vdec_hw_h264_render(), and _vdec_hw_h264_scaling_list_fallback_B().

## ◆ separate_colour_plane_flag

uint8_t vdec_hw_h264_sps_t::separate_colour_plane_flag

Referenced by _vdec_hw_h264_read_sps(), _vdec_hw_h264_render(), _vdec_hw_h264_slice_header(), and _vdec_hw_h264_slice_header_post().

## ◆ seq_scaling_matrix_present_flag

uint8_t vdec_hw_h264_sps_t::seq_scaling_matrix_present_flag

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_read_sps().

## ◆ sps_id

uint8_t vdec_hw_h264_sps_t::sps_id

Referenced by _vdec_hw_h264_dbp_append(), and _vdec_hw_h264_read_sps().

## ◆ vui

vdec_hw_h264_vui_t vdec_hw_h264_sps_t::vui

Referenced by _vdec_hw_h264_read_sps(), and _vdec_hw_h264_set_ratio().

## ◆ vui_parameters_present_flag

uint8_t vdec_hw_h264_sps_t::vui_parameters_present_flag

Referenced by _vdec_hw_h264_read_sps().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_dec/libvdpau/vdec_hw_h264.c